<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Registration Confirmation</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            text-align: center;
        }
        .container {
            width: 50%;
            margin: auto;
            background: white;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border: 2px solid #333;
        }
        h2 {
            color: #444;
        }
        p {
            font-size: 16px;
            color: #333;
            margin: 5px 0;
        }
        ul {
            list-style: none;
            padding: 0;
            color: red;
        }
        li {
            font-size: 14px;
            margin-bottom: 5px;
        }
        .back-link {
            display: inline-block;
            margin-top: 15px;
            padding: 10px 15px;
            background-color: #333;
            color: white;
            text-decoration: none;
            border-radius: 5px;
        }
        .back-link:hover {
            background-color: #555;
        }
    </style>
</head>
<body>

<div class="container">
<?php
$errors = [];

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (empty($_POST['name'])) $errors[] = "Name is required.";
    if (empty($_POST['email']) || !filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) $errors[] = "Valid email is required.";
    if (empty($_POST['phone'])) $errors[] = "Phone number is required.";
    if (empty($_POST['gender'])) $errors[] = "Gender is required.";

    if (empty($errors)) {
        echo "<h2>Thank You for Registering!</h2>";
        echo "<p><strong>Name:</strong> " . htmlspecialchars($_POST['name']) . "</p>";
        echo "<p><strong>Email:</strong> " . htmlspecialchars($_POST['email']) . "</p>";
        echo "<p><strong>Phone:</strong> " . htmlspecialchars($_POST['phone']) . "</p>";
        echo "<p><strong>Gender:</strong> " . htmlspecialchars($_POST['gender']) . "</p>";

        if (!empty($_POST['comments'])) {
            echo "<p><strong>Comments:</strong> " . nl2br(htmlspecialchars($_POST['comments'])) . "</p>";
        }
    } else {
        echo "<h2>Errors Found:</h2><ul>";
        foreach ($errors as $error) echo "<li>$error</li>";
        echo "</ul>";
        echo "<a href='index.php' class='back-link'>Go back</a>";
    }
}
?>
</div>

</body>
</html>

<?php include('footer.php'); ?>